Crazy Eddies GUI System: CEGUI::Direct3D10ViewportTarget Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::Direct3D10ViewportTarget Class Reference

Direct3D10 based RenderTarget that represents the screen or a portion of it. More...

Inheritance diagram for CEGUI::Direct3D10ViewportTarget:
[legend]
Collaboration diagram for CEGUI::Direct3D10ViewportTarget:
[legend]

List of all members.

## Public Member Functions
| Direct3D10ViewportTarget (Direct3D10Renderer &owner)
| Construct a default Direct3D10ViewportTarget that uses the current Direct3D10 viewport as it's initial area.
| Direct3D10ViewportTarget (Direct3D10Renderer &owner, const Rect &area)
| Construct a Direct3D10ViewportTarget that uses the specified Rect as it's initial area.
bool | isImageryCache () const
| Return whether the RenderTarget is an implementation that caches actual rendered imagery.

## Detailed Description

Direct3D10 based RenderTarget that represents the screen or a portion of it.

## Constructor & Destructor Documentation

CEGUI::Direct3D10ViewportTarget::Direct3D10ViewportTarget | ( | Direct3D10Renderer & | owner,
|  | const Rect & | area
| ) |  |

Construct a Direct3D10ViewportTarget that uses the specified Rect as it's initial area.

Parameters:

  area | Rect object describing the initial viewport area that should be used for the RenderTarget.

## Member Function Documentation

bool CEGUI::Direct3D10ViewportTarget::isImageryCache | ( |  | ) | const`[virtual]`

Return whether the RenderTarget is an implementation that caches actual rendered imagery.

Typically it is expected that texture based RenderTargets would return true in response to this call. Other types of RenderTarget, like view port based targets, will more likely return false.

Returns:
  - true if the RenderTarget does cache rendered imagery.
  - false if the RenderTarget does not cache rendered imagery.

Implements CEGUI::RenderTarget.